Debian Bug report logs - #521304
procps: ps shows bogus START, RSS, %CPU and %MEM values on kfreebsd-i386

version graph

Package: kfreebsd-7; Maintainer for kfreebsd-7 is (unknown);

Reported by: Axel Beckert <abe@debian.org>

Date: Thu, 26 Mar 2009 15:21:02 UTC

Severity: important

Merged with 344546

Fixed in version kfreebsd-7/7.3-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@deuxchevaux.org>, Craig Small <csmall@debian.org>:
Bug#521304; Package procps. (Thu, 26 Mar 2009 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
New Bug report received and forwarded. Copy sent to Axel Beckert <abe@deuxchevaux.org>, Craig Small <csmall@debian.org>. (Thu, 26 Mar 2009 15:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: procps: ps shows bogus START, RSS, %CPU and %MEM values on kfreebsd-i386
Date: Thu, 26 Mar 2009 17:18:26 +0100 (CET)
Package: procps
Version: 1:3.2.7-11
Severity: normal
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd

!2 Z2 ?0 L2 abe@metisse:ttyp9 (zsh 4.3.9) 16:35:45 [~] > ps aux
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
abe      20787  0.0  0.0   4560     0 ?        RN+  Apr07   0:01 ps aux
root     20777  0.0  0.0  28412     0 ?        S    Apr07   0:00 /usr/sbin/rsysl
abe      20759  0.0  0.0   5880     0 ?        SNs  Apr07   0:03 zsh
abe      20758  0.0  0.0  13196     0 ?        RN   Apr07   0:23 xterm
abe      20756  0.0  0.0   9736     0 ?        RN   Apr07  14:58 xmatrix -root -
abe      20755  0.0  0.0  30600     0 ?        SN   Apr07  18:17 emacs
postfix  20720  0.0  0.0   5484     0 ?        S    Apr07   0:01 pickup -l -t fi
abe      20567  0.0  0.0   5880     0 ?        Ss+  Apr07   0:04 -zsh
abe      20566  0.0  0.0   8448     0 ?        S    Apr07   3:16 /usr/sbin/sshd
[...]

_All_ processes show a START date of Apr07 (IIRC not only today but
also a few days ago). Since I bought and installed the machine last
week, it can't be April 2008 or earlier. And since we still have March
2009, it can't be April 2009. So that value is quite bogus. I would
expect it fetches the data from the wrong place or so.

Additionally all RSS, %CPU and %MEM values show also fixed values,
namely "0.0" for %CPU and %MEM and "0" for RSS while top shows
believable values in all those columns.

The TTY column always shows "?" which could have similar reasons.

-- System Information:
Debian Release: squeeze/sid
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.1-1-686-smp
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages procps depends on:
ii  libc0.1                   2.9-6          GNU C Library: Shared libraries
ii  libncurses5               5.7+20090314-1 shared libraries for terminal hand
ii  lsb-base                  3.2-22         Linux Standard Base 3.2 init scrip

Versions of packages procps recommends:
ii  psmisc                        22.6-1     Utilities that use the proc filesy

procps suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, baryluk@smp.if.uj.edu.pl, Craig Small <csmall@debian.org>:
Bug#521304; Package procps. (Fri, 09 Oct 2009 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Witold Baryluk <baryluk@smp.if.uj.edu.pl>:
Extra info received and forwarded to list. Copy sent to baryluk@smp.if.uj.edu.pl, Craig Small <csmall@debian.org>. (Fri, 09 Oct 2009 14:24:05 GMT) Full text and rfc822 format available.

Message #10 received at 521304@bugs.debian.org (full text, mbox):

From: Witold Baryluk <baryluk@smp.if.uj.edu.pl>
To: Debian Bug Tracking System <521304@bugs.debian.org>
Subject: Re: ps shows bogus START, RSS, %CPU and %MEM
Date: Fri, 09 Oct 2009 18:14:37 +0200
Package: procps
Version: 1:3.2.8-2
Severity: normal

Same problem here on kfreebsd-i386 with 7.2 kernel.



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.2-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages procps depends on:
ii  initscripts               2.87dsf-6      scripts for initializing and shutt
ii  libc0.1                   2.9-27         GNU C Library: Shared libraries
ii  libncurses5               5.7+20090803-2 shared libraries for terminal hand
ii  lsb-base                  3.2-23         Linux Standard Base 3.2 init scrip

Versions of packages procps recommends:
ii  psmisc                        22.8-1     utilities that use the proc file s

procps suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#521304; Package procps. (Mon, 12 Oct 2009 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Mon, 12 Oct 2009 03:15:05 GMT) Full text and rfc822 format available.

Message #15 received at 521304@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Witold Baryluk <baryluk@smp.if.uj.edu.pl>, 521304@bugs.debian.org
Subject: Re: Bug#521304: ps shows bogus START, RSS, %CPU and %MEM
Date: Mon, 12 Oct 2009 14:06:09 +1100
On Fri, Oct 09, 2009 at 06:14:37PM +0200, Witold Baryluk wrote:
> Same problem here on kfreebsd-i386 with 7.2 kernel.

Hello,
  Can you choose one process you are seeing this and then send me the
  output of the following 3 commands

ps -o pid,start,bsdstart,rss,pcpu,pmem,cmd <PID>
cat /proc/<PID>/stat
cat /proc/<PID>/status

 - Craig

-- 
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#521304; Package procps. (Mon, 12 Oct 2009 03:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Mon, 12 Oct 2009 03:18:02 GMT) Full text and rfc822 format available.

Message #20 received at 521304@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Axel Beckert <abe@deuxchevaux.org>, 521304@bugs.debian.org
Subject: Re: Bug#521304: procps: ps shows bogus START, RSS, %CPU and %MEM values on kfreebsd-i386
Date: Mon, 12 Oct 2009 14:08:13 +1100
On Thu, Mar 26, 2009 at 05:18:26PM +0100, Axel Beckert wrote:
> Additionally all RSS, %CPU and %MEM values show also fixed values,
> namely "0.0" for %CPU and %MEM and "0" for RSS while top shows
> believable values in all those columns.
> 
> The TTY column always shows "?" which could have similar reasons.
Sounds like a /proc/<pid>/stat problem, can you choose one process 
you are seeing this and then send me the output of the following 
3 commands

  ps -o pid,start,bsdstart,rss,pcpu,pmem,cmd <PID>
  cat /proc/<PID>/stat
  cat /proc/<PID>/status

 - Craig
--
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Bug reassigned from package 'procps' to 'kfreebsd-7'. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Tue, 02 Feb 2010 22:06:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions procps/1:3.2.8-2 and procps/1:3.2.7-11. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Tue, 02 Feb 2010 22:06:14 GMT) Full text and rfc822 format available.

Forcibly Merged 344546 521304. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Tue, 02 Feb 2010 22:06:15 GMT) Full text and rfc822 format available.

Added indication that 521304 affects procps Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 12:06:14 GMT) Full text and rfc822 format available.

Added indication that 521304 affects procps Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 12:06:16 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Axel Beckert <abe@debian.org>' from 'Axel Beckert <abe@deuxchevaux.org>' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 17 Feb 2010 19:15:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 09 Apr 2010 20:12:11 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 10 Apr 2010 19:27:18 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Sat, 10 Apr 2010 19:27:18 GMT) Full text and rfc822 format available.

Message #39 received at 521304-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 521304-close@bugs.debian.org
Subject: Bug#521304: fixed in kfreebsd-7 7.3-1
Date: Sat, 10 Apr 2010 19:21:53 +0000
Source: kfreebsd-7
Source-Version: 7.3-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-7, which is due to be installed in the Debian FTP archive:

kfreebsd-7_7.3-1.diff.gz
  to main/k/kfreebsd-7/kfreebsd-7_7.3-1.diff.gz
kfreebsd-7_7.3-1.dsc
  to main/k/kfreebsd-7/kfreebsd-7_7.3-1.dsc
kfreebsd-7_7.3.orig.tar.gz
  to main/k/kfreebsd-7/kfreebsd-7_7.3.orig.tar.gz
kfreebsd-headers-7-amd64_7.3-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7-amd64_7.3-1_kfreebsd-amd64.deb
kfreebsd-headers-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
kfreebsd-headers-7.3-1_7.3-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7.3-1_7.3-1_kfreebsd-amd64.deb
kfreebsd-image-7-amd64_7.3-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-7/kfreebsd-image-7-amd64_7.3-1_kfreebsd-amd64.deb
kfreebsd-image-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-7/kfreebsd-image-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
kfreebsd-source-7.3_7.3-1_all.deb
  to main/k/kfreebsd-7/kfreebsd-source-7.3_7.3-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521304@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 09 Apr 2010 14:41:20 +0200
Source: kfreebsd-7
Binary: kfreebsd-source-7.3 kfreebsd-headers-7.3-1 kfreebsd-image-7.3-1-amd64 kfreebsd-image-7-amd64 kfreebsd-headers-7.3-1-amd64 kfreebsd-headers-7-amd64 kfreebsd-image-7.3-1-486 kfreebsd-image-7-486 kfreebsd-headers-7.3-1-486 kfreebsd-headers-7-486 kfreebsd-image-7.3-1-686 kfreebsd-image-7-686 kfreebsd-headers-7.3-1-686 kfreebsd-headers-7-686 kfreebsd-image-7.3-1-686-smp kfreebsd-image-7-686-smp kfreebsd-headers-7.3-1-686-smp kfreebsd-headers-7-686-smp
Architecture: source all kfreebsd-amd64
Version: 7.3-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-7-486 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7.3-1 - Common architecture-specific header files for kernel of FreeBSD 7
 kfreebsd-headers-7.3-1-486 - header files for kernel of FreeBSD 7.3
 kfreebsd-headers-7.3-1-686 - header files for kernel of FreeBSD 7.3
 kfreebsd-headers-7.3-1-686-smp - header files for kernel of FreeBSD 7.3
 kfreebsd-headers-7.3-1-amd64 - header files for kernel of FreeBSD 7.3
 kfreebsd-image-7-486 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64 - kernel of FreeBSD 7 image
 kfreebsd-image-7.3-1-486 - kernel of FreeBSD 7.3 image
 kfreebsd-image-7.3-1-686 - kernel of FreeBSD 7.3 image
 kfreebsd-image-7.3-1-686-smp - kernel of FreeBSD 7.3 image
 kfreebsd-image-7.3-1-amd64 - kernel of FreeBSD 7.3 image
 kfreebsd-source-7.3 - source code for kernel of FreeBSD 7.3 with Debian patches
Closes: 344546 521304
Changes: 
 kfreebsd-7 (7.3-1) unstable; urgency=low
 .
   [ Petr Salinger ]
   * New upstream version
      - 000_*.diff merged upstream
      - 010_ET_DYN.diff dropped, fixed upstream
      - 011_brandinfo.diff dropped, fixed upstream
      - 101_subsecond_timestamp.diff merged upstream
   * Merge changes from kfreebsd-8
      - Remove build kludge in favour of using libsbuf-dev.
      - Improve linprocfs. Closes: #344546, #521304.
      - Set kernel ident to kernel flavour and package version.
      - Enhance debian/copyright.
      - Add a get-orig-source target to debian/rules and
        stop using a tar in tar system.
Checksums-Sha1: 
 efcd46868fef16d65e193af7ada5ec7edd579110 1914 kfreebsd-7_7.3-1.dsc
 795d441c8fed170be4562350200f4fae67ad0390 30196071 kfreebsd-7_7.3.orig.tar.gz
 df2b3227c34f011a0674d6295a32da0ea4d3def5 68854 kfreebsd-7_7.3-1.diff.gz
 d109e96a53d9b5e6c4e9bbb75355d496cc264a15 23980910 kfreebsd-source-7.3_7.3-1_all.deb
 ad1f9f16cd14e3696313dd0ffa832daa75373889 7729852 kfreebsd-headers-7.3-1_7.3-1_kfreebsd-amd64.deb
 24b7d24fb881a2f5853e8914c4878cc7eca7e0a6 11825478 kfreebsd-image-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 dc97a206ee9b4d1fbb9a0015d8b507830d387310 45454 kfreebsd-image-7-amd64_7.3-1_kfreebsd-amd64.deb
 3c92c3569ecc8a5652917a534c8e0bb7f6c53914 281074 kfreebsd-headers-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 9dde2b39b3ae934c9258aa5545ebc8abceb9e5ce 45462 kfreebsd-headers-7-amd64_7.3-1_kfreebsd-amd64.deb
Checksums-Sha256: 
 43dc2524878abb6ee7dba82a4c138e68e5264cc30e5588283ad69db63e585804 1914 kfreebsd-7_7.3-1.dsc
 7b437b6c4e10b0646391ce2be3d9adeedff26ee16c820cf37c0978072238f56b 30196071 kfreebsd-7_7.3.orig.tar.gz
 b028c0fffe58e756465316679c81f53cbe9ce5414dc389c119a686e69e36ce8e 68854 kfreebsd-7_7.3-1.diff.gz
 1e1dbafb173766f2e747fab053301b6e7ccd08dd565f80a0367a02c047ca537e 23980910 kfreebsd-source-7.3_7.3-1_all.deb
 f3e85512029ba8b22c3218f4d6e26a96e409e7d50008f485c647087600f50728 7729852 kfreebsd-headers-7.3-1_7.3-1_kfreebsd-amd64.deb
 0b09ddbd5e12457f61396e8437c381fe3d6f7993bab4474d3dd61199e28727f4 11825478 kfreebsd-image-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 0f60eb72256c2f3c5d9caa65168912009e7dd1866d0062b8dc8e03017ad31398 45454 kfreebsd-image-7-amd64_7.3-1_kfreebsd-amd64.deb
 b98b829ef1cac353ae04159137c6f2fe0341e8c3eb662dffba8c1fd9737e3b80 281074 kfreebsd-headers-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 d2b27ab9d083d720571ef742d8efc99485571822e5dc7ec6a0c5c77343237630 45462 kfreebsd-headers-7-amd64_7.3-1_kfreebsd-amd64.deb
Files: 
 914c89655056fdbfc9a01fbc980f02b0 1914 kernel optional kfreebsd-7_7.3-1.dsc
 8c79d687b0c4e54e80e9481e7f0d0891 30196071 kernel optional kfreebsd-7_7.3.orig.tar.gz
 de47017fa923bb8800765852f8d7b195 68854 kernel optional kfreebsd-7_7.3-1.diff.gz
 316b606d5580d055d255839f6050ce94 23980910 kernel optional kfreebsd-source-7.3_7.3-1_all.deb
 5c2aa71c1f68a3e7c51ec24f7963848a 7729852 kernel optional kfreebsd-headers-7.3-1_7.3-1_kfreebsd-amd64.deb
 dd7ba61c188f7895ab5e780f97fa16bb 11825478 kernel optional kfreebsd-image-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 18f73f02cc83be7c984d795f6360ba3d 45454 kernel optional kfreebsd-image-7-amd64_7.3-1_kfreebsd-amd64.deb
 160cf64cce901e220f18c7f6d07a2547 281074 kernel optional kfreebsd-headers-7.3-1-amd64_7.3-1_kfreebsd-amd64.deb
 b386a06a46f5a9ba9c3a5db4e968987d 45462 kernel optional kfreebsd-headers-7-amd64_7.3-1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFLv0Rjw3ao2vG823MRAkIfAJsFwnR9lTtqEw4F9PoYFY9fYRx/2QCfagU/
tLCiMfPjmgknGmakjBbYS+Y=
=G2Ho
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 10 Apr 2010 19:27:18 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. (Sat, 10 Apr 2010 19:27:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Sep 2010 07:30:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:04:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.